from pygame import image

images = {}

def load_image(filename):
    if images.has_key(filename):
        return images[filename]
    else:
        images[filename] = image.load("data/images/%s.png"% filename).convert_alpha()
        return images[filename]

def find_targets(loci,floor):
    victims = []
    for x,y in loci:
        for t in floor.data[(x,y)].objects.__reversed__():
            if t.type == "unit":
                victims.append(t)
                break
    return victims

def get_facing(v):
    f = None
    vx,vy = v
    if vx > 0:
        if vy < 0:
            f = "n"
        elif vy > 0:
            f = "e"
    elif vx < 0:
        if vy < 0:
            f = "w"
        elif vy > 0:
            f = "s"
    return f
